[mythtv-users] XMLTV install help

Edward Wildgoose edward.wildgoose at frmhedge.com
Sun Mar 23 20:32:35 UTC 2003


> Required module XML::Twig failed to load: XML/Twig.pm did not return a
> true value at (eval 21) line 3, <STDIN> line 6.
> XML::Twig 3.09 is required.
> Module Compress::Zlib seems not to be installed.
> Compress::Zlib is recommended.
> Module Lingua::EN::Numbers::Ordinate seems not to be installed.
> Lingua::EN::Numbers::Ordinate is recommended.
> Module Lingua::Preferred seems not to be installed.
> Lingua::Preferred is recommended.
> Module Term::ProgressBar seems not to be installed.
> Term::ProgressBar is recommended.
> Module Unicode::String seems not to be installed.
> Unicode::String is recommended.
> Required modules missing, not writing Makefile

Sounds like you are missing some perl modules.  You may well find that you
can install most of these modules via redhat's package manager (run
kpackage, point it at the redhat mirror of your choice and you can install
anything directly, or use up2date --show-all, etc)

For remaining packages:

perl -MCPAN -e shell
(note case)

this puts you into install new packages mode for perl.

then

install XML::Twig

etc, until all packages are installed

i /Lingua/

will show you all packages that have that in their package name.  CPAN will
usually install needed dependencies as well.

Give that a whirl and see how you get on




More information about the mythtv-users mailing list